This API allows the brands to retrieve the current segmentation threshold settings defined for your enterprise account.
GET
/api/v1/return-exchange-intelligence/customer-segmentation/threshold-configuration
Method: GET
Content-Type: application/json
Authentication: Via username and key as query parameters
Body: None
Request cURL
curl --location 'https://www.clickpost.in/api/v1/return-exchange-intelligence/customer-segmentation/threshold-configuration?username=<your-enterprise-username>&key=<your-enterprise-key>'Success response
{
"meta": {
"status": 200,
"message": "Success",
"success": true
},
"data": {
"threshold_configuration": {
"annual_return_rate": {
"low_end": 0.08,
"high_end": 1.0,
"low_start": 0.0,
"high_start": 0.38,
"moderate_end": 0.37,
"moderate_start": 0.09
},
"annual_order_frequency": {
"low_end": 4,
"high_end": 50,
"low_start": 0,
"high_start": 5
},
"annual_average_invoice_value": {
"low_end": 78,
"high_end": 500,
"low_start": 0,
"high_start": 79
}
}
},
"additional": null
}